--- old/usr/src/lib/libfakekernel/common/printf.c	Mon Nov  6 02:54:36 2017
+++ new/usr/src/lib/libfakekernel/common/printf.c	Mon Nov  6 02:54:36 2017
@@ -22,6 +22,7 @@
  * Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 2012 by Delphix. All rights reserved.
  * Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2017 RackTop Systems.
  */
 
 #include <sys/param.h>
@@ -123,6 +124,16 @@
 panic(const char *fmt, ...)
 {
 	va_list adx;
+
+	va_start(adx, fmt);
+	vpanic(fmt, adx);
+	va_end(adx);
+}
+
+void
+fm_panic(const char *fmt, ...)
+{
+	va_list adx;
 
 	va_start(adx, fmt);
 	vpanic(fmt, adx);
